Skip to content

Msp Webhook Setting ​

6 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getWebhookForMspGETGet MSP webhook setting list
createWebhookForMspPOSTCreate MSP webhook setting
deleteWebhookForMspDELETEDelete MSP webhook setting
modifyWebhookForMspPATCHModify MSP webhook setting
testWebhookFormspPOSTTest MSP webhook setting
getWebhookLogsForMspGETGet MSP webhook dispatch log list

getWebhookForMsp ​

GET /openapi/v1/msp/{mspId}/webhook/settings

Get MSP webhook setting list

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getWebhookForMsp"
}
Details, permissions and error codes

Get all MSP webhook setting.
The interface requires one of the permissions:
MSP Webhook Manager View Only

createWebhookForMsp ​

POST /openapi/v1/msp/{mspId}/webhook/settings

Create MSP webhook setting

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema OpenApiWebhookSettingAddVO

FieldTypeRequiredDescription
namestringyesWebhook name. It should contain 1 to 128 characters.
urlListarray<string>yesWebhook URL List. Up to 3 entries are allowed for the URL list
retryPolicyintegeryesWebhook retry policy. It should be a value as follows: 0:None, 1:Important (Up to 5 retries over 60 minutes), 2:Critical (Up to 5 retries over 24 hours)
shardedSecretstringnoWebhook Sharded Secret. It should contain 0 to 128 characters.
templateintegeryesWebhook template, it should be a value as follow: 0:Omada template, 1:Google chat template. Example: 0.
json
// omada_call_operation
{
  "operationId": "createWebhookForMsp",
  "body": "{...}"
}
Details, permissions and error codes

Create MSP webhook setting.
The interface requires one of the permissions:
MSP Webhook Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44200 - The number of webhooks has reached the limit.
-44201 - This webhook name already exists.
-44203 - Webhook URL List should contain 1 to 3 URL entries. URL entries cannot be duplicated.

deleteWebhookForMsp ​

DELETE /openapi/v1/msp/{mspId}/webhook/settings/{webhookId}

Delete MSP webhook setting

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
webhookIdpathstringyesWebhook ID
json
// omada_call_operation
{
  "operationId": "deleteWebhookForMsp",
  "params": {
    "webhookId": "<webhookId>"
  }
}
Details, permissions and error codes

Delete MSP webhook setting.
The interface requires one of the permissions:
MSP Webhook Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44202 - This webhook entry does not exist.

modifyWebhookForMsp ​

PATCH /openapi/v1/msp/{mspId}/webhook/settings/{webhookId}

Modify MSP webhook setting

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
webhookIdpathstringyesWebhook ID

Request body — application/json (required) — schema OpenApiWebhookSettingEditVO

FieldTypeRequiredDescription
urlListarray<string>yesWebhook URL List. Up to 3 entries are allowed for the URL list
retryPolicyintegeryesWebhook retry policy. It should be a value as follows: 0:None, 1:Important (Up to 5 retries over 60 minutes), 2:Critical (Up to 5 retries over 24 hours)
shardedSecretstringnoWebhook Sharded Secret. It should contain 0 to 128 characters.
templateintegeryesWebhook template, it should be a value as follow: 0:Omada template, 1:Google chat template. Example: 0.
json
// omada_call_operation
{
  "operationId": "modifyWebhookForMsp",
  "params": {
    "webhookId": "<webhookId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify MSP webhook setting.
The interface requires one of the permissions:
MSP Webhook Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44202 - This webhook entry does not exist.
-44203 - Webhook URL List should contain 1 to 3 URL entries. URL entries cannot be duplicated.

testWebhookFormsp ​

POST /openapi/v1/msp/{mspId}/webhook/settings/{webhookId}

Test MSP webhook setting

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
webhookIdpathstringyesWebhook ID

Request body — application/json (required) — schema OpenApiWebhookSettingTestVO

FieldTypeRequiredDescription
namestringyesWebhook name. It should contain 1 to 128 characters.
shardedSecretstringnoWebhook Sharded Secret. It should contain 0 to 128 characters.
urlListarray<string>yesWebhook URL List. Up to 3 entries are allowed for the URL list
templateintegeryesWebhook template, it should be a value as follow: 0:Omada template, 1:Google chat template. Example: 0.
json
// omada_call_operation
{
  "operationId": "testWebhookFormsp",
  "params": {
    "webhookId": "<webhookId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Test MSP webhook setting.
The interface requires one of the permissions:
MSP Webhook Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44203 - Webhook URL List should contain 1 to 3 URL entries. URL entries cannot be duplicated.

getWebhookLogsForMsp ​

GET /openapi/v1/msp/{mspId}/webhook/settings/dispatch-logs

Get MSP webhook dispatch log list

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
filters.webhookIdquerystringyesFilter query parameters, support field d66aed17ea7238154ba610710d9a2890
filters.timeStartqueryintegeryesFilter query parameters, support field 1679297710438
filters.timeEndqueryintegeryesFilter query parameters, support field 1681889710438
json
// omada_call_operation
{
  "operationId": "getWebhookLogsForMsp",
  "params": {
    "filters.webhookId": "<filters.webhookId>",
    "filters.timeStart": "<filters.timeStart>",
    "filters.timeEnd": "<filters.timeEnd>"
  }
}
Details, permissions and error codes

Get MSP webhook dispatch log list.
The interface requires one of the permissions:
MSP Webhook Manager View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.